X
Tap here to go to the mobile version of the site.

Support Forum

Why can't I install the latest version of Adobe Flash Player 18.0.0.232 on Firefox?

Posted

I have tried and tried to get the latest version of Adobe Flash Player onto Firefox but it just won't take. Tried through update on the plugin page, tried through Adobe website and still no luck. I have version 18.0.0.232 listed on my desktop but it's not showing up on Firefox. Anyone have any idea why not?

I have tried and tried to get the latest version of Adobe Flash Player onto Firefox but it just won't take. Tried through update on the plugin page, tried through Adobe website and still no luck. I have version 18.0.0.232 listed on my desktop but it's not showing up on Firefox. Anyone have any idea why not?

Chosen solution

You can download the 18.0.0.232 version here. https://www.adobe.com/products/flashplayer/distribution3.html

Uninstall .209 and then install .232 .

BTW, Firefox needs a different version of Flash than IE uses and different than what Chrome uses.

Read this answer in context 0

Additional System Details

Installed Plug-ins

  • Coupons, Inc. Coupon Printer 5.0.2.3
  • NPWLPG
  • Raidcall plugin
  • Shockwave Flash 18.0 r0
  • Unity Player 4.6.1f1

Application

  • Firefox 40.0.3
  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:40.0) Gecko/20100101 Firefox/40.0
  • Support URL: https://support.mozilla.org/1/firefox/40.0.3/WINNT/en-US/

Extensions

  • Adblock Plus 2.6.10 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Norton Toolbar 2015.5.2.24 ({2D3F3651-74B9-4795-BDEC-6DA2F431CB62})

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: AMD Radeon HD 8670D
  • adapterDescription2:
  • adapterDeviceID: 0x990c
  • adapterDeviceID2:
  • adapterDrivers: aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
  • adapterDrivers2:
  • adapterRAM: 768
  • adapterRAM2:
  • adapterSubsysID: 00000000
  • adapterSubsysID2:
  • adapterVendorID: 0x1002
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.2.9200.17461
  • driverDate: 8-30-2013
  • driverDate2:
  • driverVersion: 13.152.0.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: True
  • webglRenderer: Google Inc. -- ANGLE (AMD Radeon HD 8670D Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
the-edmeister
  • Top 10 Contributor
  • Moderator
5269 solutions 38999 answers

Type about:plugins in the URL bar and hit Enter.

Does Shockwave Flash appear in that listing? I see it in your More System Details to the right of your posting. That is Adobe Flash Player - Shockwave is an internal name from the days of Macromedia ownership of "Flash" before Adobe bought out Macromedia.

Type '''about:plugins''' in the URL bar and hit Enter. Does '''Shockwave Flash''' appear in that listing? ''I see it in your More System Details to the right of your posting.'' That is Adobe Flash Player - Shockwave is an internal name from the days of Macromedia ownership of "Flash" before Adobe bought out Macromedia.

Helpful Reply

Yes, it says Shockwave Flash but always has and never had any problems updating before. Right now it is showing version 18.0.0.209 of Flash player.

Yes, it says Shockwave Flash but always has and never had any problems updating before. Right now it is showing version 18.0.0.209 of Flash player.
the-edmeister
  • Top 10 Contributor
  • Moderator
5269 solutions 38999 answers

Chosen Solution

You can download the 18.0.0.232 version here. https://www.adobe.com/products/flashplayer/distribution3.html

Uninstall .209 and then install .232 .

BTW, Firefox needs a different version of Flash than IE uses and different than what Chrome uses.

You can download the 18.0.0.232 version here. https://www.adobe.com/products/flashplayer/distribution3.html Uninstall .209 and then install .232 . BTW, Firefox needs a different version of Flash than IE uses and different than what Chrome uses.
Tonnes
  • Top 25 Contributor
  • Locale Leader
245 solutions 1453 answers

For what it’s worth: actually I have seen issues of Flash installers not working properly on 32 bit Windows 7 running on 64 bit processors for more than two years, funny enough until the latest 18.0.0.232 update, so that change may be related. Basically this is why the alternative Flash download link mentioned above is provided in the Flash Plugin - Keep it up to date and troubleshoot problems article.

That article also provides info on how to uninstall a current version of it when needed if the conventional method (either from within Firefox or from your Windows Add/Remove programs panel) does not work, but you should try that first in order not to restore it for other browsers.

For what it’s worth: actually I have seen issues of Flash installers not working properly on 32 bit Windows 7 running on 64 bit processors for more than two years, funny enough until the latest 18.0.0.232 update, so that change may be related. Basically this is why the alternative Flash download link mentioned above is provided in the [[Flash Plugin - Keep it up to date and troubleshoot problems]] article. That article also provides info on how to uninstall a current version of it when needed if the conventional method (either from within Firefox or from your Windows Add/Remove programs panel) does not work, but you should try that first in order not to restore it for other browsers.
spaceda 0 solutions 5 answers

hi after ff update to 42 adobe flash stopped working. none of solution found in internet worked, but with my quite interesting IT background I was able to find solution - remember it is just for firefox. I have win7 64bit but it should not be a problem to go with this solution on other win versions. Important is firefox. My problem was I couldnt get shockwave flash plugin to be recognized & loaded by firefox even it was installed in system properly.


1. Exit Firefox. If you have just installed latest version of flash version you dont need to uninstall it. Just remember to use latest OFFICIAL version. I was using also adobe lab flash version (v20) but it was freezing some websites... If you have old version you can uninstall it using official adobe uninstaller. 2. after installation in win 7 64bits there is a main folder accessible via two different paths - one is for w32 apps and other for 64bit apps in win64bit env, File you need is :

c:\Windows\SysWOW64\Macromed\Flash\NPSWF32_19_0_0_245.dll also available in linked directory seen by windows apps:

c:\Windows\SysWOW64\Macromed\Flash\NPSWF32_19_0_0_245.dll

3. if you have located the file simply copy it to YOUR USER mozilla data directory :(in win7)

c:\Documents and Settings\<YOUR USER NAME>\AppData\Roaming\Mozilla\plugins\

as two separate files: NPSWF32_19_0_0_245.dll NPSWF64_19_0_0_245.dll

4. start Firefox, go to addons->plugins. You should now see shocwave flash plugin with following details: Shockwave Flash 19.0 r0 NPSWF32_19_0_0_245.dll, NPSWF64_19_0_0_245.dll

5. VERY IMPORTANT: uncheck flash protected mode.close addon window. restart firefox.

6 DONE.

hi after ff update to 42 adobe flash stopped working. none of solution found in internet worked, but with my quite interesting IT background I was able to find solution - remember it is just for firefox. I have win7 64bit but it should not be a problem to go with this solution on other win versions. Important is firefox. My problem was I couldnt get shockwave flash plugin to be recognized & loaded by firefox even it was installed in system properly. 1. Exit Firefox. If you have just installed latest version of flash version you dont need to uninstall it. Just remember to use latest OFFICIAL version. I was using also adobe lab flash version (v20) but it was freezing some websites... If you have old version you can uninstall it using official adobe uninstaller. 2. after installation in win 7 64bits there is a main folder accessible via two different paths - one is for w32 apps and other for 64bit apps in win64bit env, File you need is : c:\Windows\SysWOW64\Macromed\Flash\NPSWF32_19_0_0_245.dll also available in linked directory seen by windows apps: c:\Windows\SysWOW64\Macromed\Flash\NPSWF32_19_0_0_245.dll 3. if you have located the file simply copy it to YOUR USER mozilla data directory :(in win7) c:\Documents and Settings\<YOUR USER NAME>\AppData\Roaming\Mozilla\plugins\ as two separate files: NPSWF32_19_0_0_245.dll NPSWF64_19_0_0_245.dll 4. start Firefox, go to addons->plugins. You should now see shocwave flash plugin with following details: Shockwave Flash 19.0 r0 NPSWF32_19_0_0_245.dll, NPSWF64_19_0_0_245.dll 5. VERY IMPORTANT: uncheck flash protected mode.close addon window. restart firefox. 6 DONE.